Commit 807c44c9 authored by Rocky Automation's avatar Rocky Automation 📺
Browse files

import libabigail-1.4-2.el8

parents
SOURCES/libabigail-1.4.tar.gz
9754cb44e7a0370d8b5fd7d0f0bb0d86a3cbd1ac SOURCES/libabigail-1.4.tar.gz
--- configure 2018-07-16 15:40:30.788374759 +0200
+++ configure.new 2018-07-16 15:40:41.395415652 +0200
@@ -668,10 +668,10 @@
ENABLE_RUNNING_TESTS_WITH_PY3_TRUE
ENABLE_FEDABIPKGDIFF_FALSE
ENABLE_FEDABIPKGDIFF_TRUE
+WGET
PYTHON3_INTERPRETER
PYTHON_VERSION
PYTHON
-WGET
ENABLE_BASH_COMPLETION_FALSE
ENABLE_BASH_COMPLETION_TRUE
HAS_BASH_COMPLETION
@@ -16891,82 +16891,11 @@
fi
+# The minimal python 2 version we want to support is 2.6.6 because EL6
+# distributions have that version installed.
+MINIMAL_PYTHON2_VERSION="2.6.6"
-if test x$ENABLE_FEDABIPKGDIFF = xauto -o x$ENABLE_FEDABIPKGDIFF = xyes; then
- CHECK_DEPS_FOR_FEDABIPKGDIFF=yes
-else
- CHECK_DEPS_FOR_FEDABIPKGDIFF=no
-fi
-
-if test x$CHECK_DEPS_FOR_FEDABIPKGDIFF = xyes; then
- MISSING_FEDABIPKGDIFF_DEP=no
-
- if test x$ENABLE_FEDABIPKGDIFF = xyes; then
- MISSING_FEDABIPKGDIFF_DEP_FATAL=yes
- else
- MISSING_FEDABIPKGDIFF_DEP_FATAL=no
- fi
-
- # Extract the first word of "wget", so it can be a program name with args.
-set dummy wget; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_WGET+:} false; then :
- $as_echo_n "(cached) " >&6
-else
- case $WGET in
- [\\/]* | ?:[\\/]*)
- ac_cv_path_WGET="$WGET" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_path_WGET="$as_dir/$ac_word$ac_exec_ext"
- $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
-done
- done
-IFS=$as_save_IFS
-
- test -z "$ac_cv_path_WGET" && ac_cv_path_WGET="no"
- ;;
-esac
-fi
-WGET=$ac_cv_path_WGET
-if test -n "$WGET"; then
- { $as_echo "$as_me:${as_lineno-$LINENO}: result: $WGET" >&5
-$as_echo "$WGET" >&6; }
-else
- { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
-fi
-
-
-
- if test x$WGET = xno; then
- ENABLE_FEDABIPKGDIFF=no
- if test x$MISSING_FEDABIPKGDIFF_DEP_FATAL = xyes; then
- as_fn_error $? "could not find the wget program" "$LINENO" 5
- else
- MISSING_FEDABIPKGDIFF_DEP=yes
- { $as_echo "$as_me:${as_lineno-$LINENO}: could not find the wget program" >&5
-$as_echo "$as_me: could not find the wget program" >&6;}
- { $as_echo "$as_me:${as_lineno-$LINENO}: disabling fedabipkgdiff as a result" >&5
-$as_echo "$as_me: disabling fedabipkgdiff as a result" >&6;}
- fi
- fi
-
- # The minimal python 2 version we want to support is 2.6.6 because EL6
- # distributions have that version installed.
- MINIMAL_PYTHON2_VERSION="2.6.6"
-
- # Extract the first word of "python", so it can be a program name with args.
+# Extract the first word of "python", so it can be a program name with args.
set dummy python; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
@@ -17078,10 +17007,10 @@
fi
- # The minimal python 3 version we want to support is 3.5, which is
- # available in Fedora releases and in EL7.
- if test x$ENABLE_PYTHON3 != xno; then
- for ac_prog in python3 python3.5 python3.6 python3.7
+# The minimal python 3 version we want to support is 3.5, which is
+# available in Fedora releases and in EL7.
+if test x$ENABLE_PYTHON3 != xno; then
+ for ac_prog in python3 python3.5 python3.6 python3.7
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -17124,66 +17053,140 @@
done
test -n "$PYTHON3_INTERPRETER" || PYTHON3_INTERPRETER="no"
- else
- PYTHON3_INTERPRETER=no
- fi
+else
+ PYTHON3_INTERPRETER=no
+fi
- if test x$ENABLE_PYTHON3 = xauto; then
- if test x$PYTHON3_INTERPRETER != xno; then
- ENABLE_PYTHON3=yes
- else
- # When enabling python3 is auto, tests only run if the
- # python3 interpreter was found on the system. Otherwise,
- # just ignore it.
+if test x$ENABLE_PYTHON3 = xauto; then
+ if test x$PYTHON3_INTERPRETER != xno; then
+ ENABLE_PYTHON3=yes
+ else
+ # When enabling python3 is auto, tests only run if the
+ # python3 interpreter was found on the system. Otherwise,
+ # just ignore it.
ENABLE_PYTHON3=no
- { $as_echo "$as_me:${as_lineno-$LINENO}: Python 3 was not found. Skip running tests with Python 3." >&5
+ { $as_echo "$as_me:${as_lineno-$LINENO}: Python 3 was not found. Skip running tests with Python 3." >&5
$as_echo "$as_me: Python 3 was not found. Skip running tests with Python 3." >&6;}
- fi
- fi
+ fi
+fi
- if test x$ENABLE_PYTHON3 = xyes; then
- if test x$PYTHON3_INTERPRETER != xno; then
- # We were asked to enable python3 implicitely (auto and
- # python3 was found) or explicitly. So enable running tests
- # using python3 then.
- RUN_TESTS_WITH_PY3=yes
- else
- as_fn_error $? "Python 3 was not found" "$LINENO" 5
- fi
- fi
+if test x$ENABLE_PYTHON3 = xyes; then
+ if test x$PYTHON3_INTERPRETER != xno; then
+ # We were asked to enable python3 implicitely (auto and
+ # python3 was found) or explicitly. So enable running tests
+ # using python3 then.
+ RUN_TESTS_WITH_PY3=yes
+ else
+ as_fn_error $? "Python 3 was not found" "$LINENO" 5
+ fi
+fi
- if test x$PYTHON3_INTERPRETER = xyes; then
- MINIMAL_PYTHON_VERSION_FOUND=yes
- fi
+if test x$PYTHON3_INTERPRETER = xyes; then
+ MINIMAL_PYTHON_VERSION_FOUND=yes
+fi
- if test x$MINIMAL_PYTHON_VERSION_FOUND = xno; then
- { $as_echo "$as_me:${as_lineno-$LINENO}: no minimal version of python found" >&5
+if test x$MINIMAL_PYTHON_VERSION_FOUND = xno; then
+ { $as_echo "$as_me:${as_lineno-$LINENO}: no minimal version of python found" >&5
$as_echo "$as_me: no minimal version of python found" >&6;}
- MISSING_FEDABIPKGDIFF_DEP=yes
- if test x$MISSING_FEDABIPKGDIFF_DEP_FATAL = xyes; then
- as_fn_error $? "could not find a python program of version at least $MINIMAL_PYTHON2_VERSION" "$LINENO" 5
- fi
- if test x$PYTHON = xno; then
- { $as_echo "$as_me:${as_lineno-$LINENO}: python binary wasn't found" >&5
+ if test x$PYTHON = xno; then
+ { $as_echo "$as_me:${as_lineno-$LINENO}: python binary wasn't found" >&5
$as_echo "$as_me: python binary wasn't found" >&6;}
- if test x$PYTHON3_INTERPRETER != xno; then
- { $as_echo "$as_me:${as_lineno-$LINENO}: using $PYTHON3_INTERPRETER instead" >&5
+ if test x$PYTHON3_INTERPRETER != xno; then
+ { $as_echo "$as_me:${as_lineno-$LINENO}: using $PYTHON3_INTERPRETER instead" >&5
$as_echo "$as_me: using $PYTHON3_INTERPRETER instead" >&6;}
- PYTHON=$PYTHON3_INTERPRETER
+ PYTHON=$PYTHON3_INTERPRETER
MINIMAL_PYTHON_VERSION_FOUND=yes
MISSING_FEDABIPKGDIFF_DEP=no
- fi
- fi
- else
- { $as_echo "$as_me:${as_lineno-$LINENO}: a minimal version of python was found ..." >&5
+ fi
+ fi
+else
+ { $as_echo "$as_me:${as_lineno-$LINENO}: a minimal version of python was found ..." >&5
$as_echo "$as_me: a minimal version of python was found ..." >&6;}
- if test x$PYTHON3_INTERPRETER != xno; then
- # We were instructed to use python3 and it's present on the
- # system. Let's update the PYTHON variable that points to the
- # actual python interpreter we are going to be using
- { $as_echo "$as_me:${as_lineno-$LINENO}: ... and it was $PYTHON3_INTERPRETER" >&5
+ if test x$PYTHON3_INTERPRETER != xno; then
+ # We were instructed to use python3 and it's present on the
+ # system. Let's update the PYTHON variable that points to the
+ # actual python interpreter we are going to be using
+ { $as_echo "$as_me:${as_lineno-$LINENO}: ... and it was $PYTHON3_INTERPRETER" >&5
$as_echo "$as_me: ... and it was $PYTHON3_INTERPRETER" >&6;}
- PYTHON=$PYTHON3_INTERPRETER
+ PYTHON=$PYTHON3_INTERPRETER
+ fi
+fi
+
+
+if test x$ENABLE_FEDABIPKGDIFF = xauto -o x$ENABLE_FEDABIPKGDIFF = xyes; then
+ CHECK_DEPS_FOR_FEDABIPKGDIFF=yes
+else
+ CHECK_DEPS_FOR_FEDABIPKGDIFF=no
+fi
+
+if test x$CHECK_DEPS_FOR_FEDABIPKGDIFF = xyes; then
+ MISSING_FEDABIPKGDIFF_DEP=no
+
+ if test x$ENABLE_FEDABIPKGDIFF = xyes; then
+ MISSING_FEDABIPKGDIFF_DEP_FATAL=yes
+ else
+ MISSING_FEDABIPKGDIFF_DEP_FATAL=no
+ fi
+
+ # Extract the first word of "wget", so it can be a program name with args.
+set dummy wget; ac_word=$2
+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if ${ac_cv_path_WGET+:} false; then :
+ $as_echo_n "(cached) " >&6
+else
+ case $WGET in
+ [\\/]* | ?:[\\/]*)
+ ac_cv_path_WGET="$WGET" # Let the user override the test with a path.
+ ;;
+ *)
+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+ ac_cv_path_WGET="$as_dir/$ac_word$ac_exec_ext"
+ $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+ break 2
+ fi
+done
+ done
+IFS=$as_save_IFS
+
+ test -z "$ac_cv_path_WGET" && ac_cv_path_WGET="no"
+ ;;
+esac
+fi
+WGET=$ac_cv_path_WGET
+if test -n "$WGET"; then
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: $WGET" >&5
+$as_echo "$WGET" >&6; }
+else
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+
+
+ if test x$WGET = xno; then
+ ENABLE_FEDABIPKGDIFF=no
+ if test x$MISSING_FEDABIPKGDIFF_DEP_FATAL = xyes; then
+ as_fn_error $? "could not find the wget program" "$LINENO" 5
+ else
+ MISSING_FEDABIPKGDIFF_DEP=yes
+ { $as_echo "$as_me:${as_lineno-$LINENO}: could not find the wget program" >&5
+$as_echo "$as_me: could not find the wget program" >&6;}
+ { $as_echo "$as_me:${as_lineno-$LINENO}: disabling fedabipkgdiff as a result" >&5
+$as_echo "$as_me: disabling fedabipkgdiff as a result" >&6;}
+ fi
+ fi
+
+ if test x$MINIMAL_PYTHON_VERSION_FOUND = xno; then
+ MISSING_FEDABIPKGDIFF_DEP=yes
+ if test x$MISSING_FEDABIPKGDIFF_DEP_FATAL = xyes; then
+ as_fn_error $? "could not find a python program of version at least $MINIMAL_PYTHON2_VERSION" "$LINENO" 5
fi
fi
%global tarball_revision 0
%global tarball_name %{name}-%{version}
Name: libabigail
Version: 1.4
Release: 2%{?dist}
Summary: Set of ABI analysis tools
License: LGPLv3+
URL: https://sourceware.org/libabigail/
Source0: http://mirrors.kernel.org/sourceware/libabigail/%{tarball_name}.tar.gz
Patch1: enable-python-when-no-fedabipkgdiff-is-defined.patch.txt
BuildRequires: gcc-c++
BuildRequires: libtool
BuildRequires: elfutils-devel
BuildRequires: libxml2-devel
BuildRequires: doxygen
BuildRequires: %{_bindir}/python3
BuildRequires: python3-sphinx
BuildRequires: texinfo
BuildRequires: dos2unix
%description
The libabigail package comprises six command line utilities:
abidiff, kmidiff, abipkgdiff, abicompat, abidw, and abilint
The abidiff command line tool compares the ABI of two
ELF shared libraries and emits meaningful textual reports about
changes impacting exported functions, variables and their types.
Simarly, the kmidiff compares the kernel module interface of two Linux
kernels. abipkgdiff compares the ABIs of ELF binaries contained in
two packages. abicompat checks if a subsequent version of a shared
library is still compatible with an application that is linked against
it. abidw emits an XML representation of the ABI of a given ELF
shared library. abilint checks that a given XML representation of the
ABI of a shared library is correct.
Install libabigail if you need to compare the ABI of ELF shared
libraries.
%package devel
Summary: Shared library and header files to write ABI analysis tools
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
This package contains a shared library and the associated header files
that are necessary to develop applications that use the C++ Libabigail
library. The library provides facilities to analyze and compare
application binary interfaces of shared libraries in the ELF format.
%package doc
Summary: Man pages, texinfo files and html manuals of libabigail
Requires(post): info
Requires(preun): info
%description doc
This package contains documentation for the libabigail tools in the
form of man pages, texinfo documentation and API documentation in html
format.
%prep
%setup -n %{tarball_name}
%patch1
%build
%configure --disable-deb --disable-fedabipkgdiff --disable-silent-rules --disable-zip-archive --disable-static
make %{?_smp_mflags}
pushd doc
make html-doc
pushd manuals
make html-doc
make man
make info
popd
popd
%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
# Install man and texinfo files as they are not installed by the
# default 'install' target of the makefile.
make -C doc/manuals install-man-and-info-doc DESTDIR=%{buildroot}
dos2unix doc/manuals/html/_static/jquery.js
%check
time make %{?_smp_mflags} check || (cat tests/test-suite.log && exit 2)
if test $? -ne 0; then
cat tests/tests-suite.log
fi
%post
%?ldconfig
/usr/sbin/install-info %{_infodir}/abigail.info* %{_infodir}/dir 2>/dev/null || :
%preun
if [ $1 -eq 0 ]; then
/usr/sbin/install-info --delete %{_infodir}/abigail.info* %{_infodir}/dir 2>/dev/null || :
fi
%ldconfig_postun
%files
%{_bindir}/abicompat
%{_bindir}/abidiff
%{_bindir}/abidw
%{_bindir}/abilint
%{_bindir}/abipkgdiff
%{_bindir}/kmidiff
%{_libdir}/libabigail.so.0
%{_libdir}/libabigail.so.0.0.0
%{_libdir}/libabigail/default.abignore
%doc README AUTHORS ChangeLog
%license COPYING COPYING-LGPLV3 COPYING-GPLV3
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_infodir}/abigail.info*
%files devel
%{_libdir}/libabigail.so
%{_libdir}/pkgconfig/libabigail.pc
%{_includedir}/*
%{_datadir}/aclocal/abigail.m4
%files doc
%license COPYING COPYING-LGPLV3 COPYING-GPLV3
%doc doc/manuals/html/*
%changelog
* Tue Aug 14 2018 Petr Viktorin <pviktori@redhat.com> - 1.4-2
- Fix BuildRequires for /usr/bin/python3
- Resolves: #1615539
* Mon Jul 16 2018 Dodji Seketeli <dodji@redhat.com> - 1.4-1
- Update to upstream 1.4 version
- Remove disable-runtestdefaultsupprs.py.patch
- Add enable-python-when-no-fedabipkgdiff-is-defined.patch.txt
* Wed Jun 20 2018 Dodji Seketeli <dodji@seketeli.org> - 1.3-3
- Add patch disable-runtestdefaultsupprs.py.patch
This disables the runtestdefaultsupprs.py patch as it's timeouting.
It's running fine locally though.
* Wed Jun 20 2018 Dodji Seketeli <dodji@redhat.com> - 1.3-2
- Remove dpkg and koji dependencies
* Wed May 16 2018 Dodji Seketeli <dodji@redhat.com> - 1.3-1
- Update to upstream 1.3
- Use python3.
* Mon Mar 19 2018 Dodji Seketeli <dodji@redhat.com> - 1.2-2
- Depend on Koji only on Fedora
* Tue Mar 6 2018 Dodji Seketeli <dodji@seketeli.org> - 1.2-1
- Update to upstream 1.2
* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1-4
- Escape macros in %%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
* Fri Feb 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1-2
- Switch to %%ldconfig_scriptlets
* Thu Jan 25 2018 Dodji Seketeli <dodji@redhat.com> - 1.1-1
- Update to upstream 1.1
- Use python2-sphynx, rpm-python2, python2-rpm rather than
python-sphinx, rpm-python.
* Wed Nov 22 2017 Dodji Seketeli <dodji@seketeli.org> - 1.0-1
- Add missing %%{dist} to release.
* Tue Nov 7 2017 Dodji Seketeli <dodji@redhat.com> - 1.0-1
- Update to upstream 1.0 tarball
- Adjust tarball_revision and tarball_name macros
- Adjust Release macro
- Remove the koji build require as python2-koji is enough
- Replace the pyxdg build require with the python2-pyxdg one.
- Added missing build and runtime require 'mailcap' to allow
fedabipkgdiff to detect RPM files
- Update description to account for the new kmidiff tool
- Remove patches that got applied upstream:
0001-A-suppressed-diff-node-implies-suppressing-all-equiv.patch
0001-Bug-20927-Segfault-when-HOME-is-not-set.patch
0001-Fix-aborting-when-reading-.foo-symbols-from-a-ppc64-.patch
- Add kmidiff to the RPM
* Fri Oct 06 2017 Troy Dawson <tdawson@redhat.com> - 1.0-0.13.rc6.4
- Fix rawhide FTBFS - Added Buildrequires python2-koji
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.12.rc6.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.11.rc6.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.10.rc6.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.9.rc6.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
* Fri Dec 9 2016 Dodji Seketeli <dodji@redhat.com> - 1.0-0.8.rc6.4
- Fix upstream bug - Fix aborting when reading .foo symbols from a ppc64 binary
* Mon Dec 5 2016 Dodji Seketeli <dodji@redhat.com> - 1.0-0.8.rc6.3
- Fix upstream Bug 20927 - Segfault when abidiff is invoked with $HOME empty
Apply the upstream patch here.
* Sat Nov 26 2016 Dodji Seketeli <dodji@redhat.com> - 1.0-0.8.rc6.2
- Fix an issue where some suppressed diff nodes are still visible in change reports
This implies applying upstream patch:
"[PATCH] A suppressed diff node implies suppressing all equivalent nodes too"
* Wed Nov 23 2016 Dodji Seketeli <dodji@redhat.com> - 1.0-0.8.rc6.1
- Update to upstream 1.0.rc6 tarball
- Add wget as a build and runtime requirement. It's useful for fedabipkgdiff
* Mon Aug 29 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.8.rc5.5
- Update the package description to mention fedabipkgdiff
* Mon Aug 29 2016 Chenxiong Qi <cqi@redhat.com> - 1.0-0.8.rc5.4
- Add pyxdg, rpm-python, koji and python2 as runtime dependencies
* Tue Jun 28 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.8.rc5.3
- Fix previous change log entry
* Tue Jun 28 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.8.rc5.2
- Add README
* Mon Jun 27 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.8.rc5.1
- Update to upstream 1.0.rc5 tarball
- Add new build requires for new fedabipkgdiff tool:
python2-devel, rpm-python, python2-mock, koji, pyxdg, python2-unittest2
- Add new %%{_bindir}/fedabipkgdiff binary and
%%{_libdir}/libabigail/default.abignore configuration file to the set
of distributed files.
- Drop patches that were integrated upstream:
0001-Bug-19961-Distinguish-between-PI-executable-and-shar.patch
0002-Bug-19964-Cannot-load-function-aliases-on-ppc64.patch
* Mon May 2 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.8.rc4.3%{?dist}
- Add README file
* Mon Apr 25 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.8.rc4.2
- Fix PIE and ppc64 function aliases handling.
The exact two upstream bugs fixed are:
Bug 19961 - Distinguish between PI executable and shared library
Bug 19964 - Cannot load function aliases on ppc64
The two upstream patches applied are 8944ceb9ef03a4187 and 2529f84ae0e2ca2a
* Sun Apr 17 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.8.rc4.1
- Update to upstream 1.0.rc4
- Remove fix-test-diff-pkg-patch.txt as it was applied upstream.
* Tue Mar 8 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.rc3.2
- Fix test-diff-pkg regression test failure due to a race condition.
* Tue Mar 8 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.rc3.1
- Update to upstream 1.0.rc3
- Add gcc-c++ as BuildRequires
- Measure the time taken by regression tests
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.rc2.1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Thu Jan 7 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.rc2.1
- Update to upstream 1.0.rc2
- This fixes an important regression in the handling of binaries
which debug info have been compressed with dwz.
- Fix source tarball URL.
* Wed Jan 6 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.rc1.3
- Run make check in // if possible
* Wed Jan 6 2016 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.rc1.2
- Add/Remove info pages to/from info pages database after install/before remove
* Tue Jan 5 2016 Dodji Seketeli <dodji@redhat.com> - 1.0-0.rc1.1
- Ship man/info pages right into the main package, along with the main
programs.
- Update to upstream release 1.0.rc1
- Significant changes include:
rhtbz/1283906 - crash in abigail::dwarf_reader::build_reference_type()
libabigail/19336 - Better handle redundantly qualified reference types
libabigail/19126 - abidw segv on a dwz compressed version of r300_dri.so
libabigail/19355 - Libabigail slow on r300_dri.so
Numerous other bug fixes and cleanups
* Mon Nov 16 2015 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.7.rc0.20151116gitd8bcceb
- Update to upstream release 1.0.rc0
- Take a tarball built using make dist now.
- Update the comments in the spec regarding how the tarball has been generated.
- Do not run autoreconf -i anymore, during the build.
* Wed Sep 9 2015 Dodji Seketeli <dodji@seketeli.org> - 1.0-0.6.20150909git164d17e
- Update to upstream git commit hash 164d17e
Bug 18791 - libabigail fails to read the output of abidw
Bug 18818 - abidw aborts on a class with a non-complete base class
Bug 18828 - Handle force-resolving of multiple declarations-only of the same type
Bug 18844 - assert failure in abidw at abg-dwarf-reader.cc:6537
Bug 18894 - Fix representation of enumerators in abixml format
Bug 18893 - type degradation from dwarf to abixml on libGLU.so
Bug 18892 - type degradation from DWARF to abixml on libtsan.so
Bug 18904 - Fix support for C++ rvalue references
Numerous additional bug fixes
Added .deb, tarball and directory support to abipkgdiff
Several improvements to abidw, abidiff and abilint
- Added dpkg build dependency to activate support of .deb archives
- cat tests/test-suite.log when check fails
- Update description to add abipkgdiff
* Mon Jul 27 2015 Sinny Kumari <ksinny@gmail.com> - 1.0-0.5.20150727gitf0d319a
- Update to upstream git commit hash f0d319a. Returns different exit status code
when abipkgdiff runs and various other bug fixes in libabigail.
- Adjust date, git_revision and Release macros
* Mon Jul 20 2015 Sinny Kumari <ksinny@gmail.com> - 1.0-0.4.20150720gitab1316b
- Update to upstream git commit hash ab1316b. It brings various bug fixes and a
new abipkgdiff tool to detect abi changes at package level.
- Install abipkgdiff binary in bindir
- Adjust date, git_revision and Release macros